%define api 1.0
%define major 0
%define libname %mklibname usb %api %major
%define devellibname %mklibname -d usb %api

Summary:	Library for accessing USB devices
Name:		libusbx
Version:	1.0.14
Release:	%mkrel 2

Source0:	http://downloads.sourceforge.net/libusbx/libusbx-%{version}.tar.bz2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libusbx.org

BuildRequires:	doxygen

%description
This package provides a way for applications to access USB devices.

Libusbx is a fork of the original libusb, which is a fully API and ABI
compatible drop in for the libusb-1.0.9 release. The libusbx fork was
started by most of the libusb-1.0 developers, after the original libusb
project did not produce a new release for over 18 months.

Note that this library is not compatible with the original libusb-0.1 series,
if you need libusb-0.1 compatibility install the libusb-compat package.


%package	-n %libname
Summary:	%summary
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Obsoletes:	%{_lib}usbx1.0_0 < 1.0.13

%description	-n %libname
This package provides a way for applications to access USB devices.

Libusbx is a fork of the original libusb, which is a fully API and ABI
compatible drop in for the libusb-1.0.9 release. The libusbx fork was
started by most of the libusb-1.0 developers, after the original libusb
project did not produce a new release for over 18 months.

Note that this library is not compatible with the original libusb-0.1 series,
if you need libusb-0.1 compatibility install the libusb-compat package.


%package	-n %devellibname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libusb1-devel = %{version}
Provides:	%{name}-devel = %{version}
Provides:	usb1-devel = %{version}
Provides:	usb1.0-devel = %{version}
Obsoletes:	%{_lib}usb1.0-static-devel <= 1.0.9
Obsoletes:	%{_lib}usbx1.0-devel < 1.0.13
Requires(pre):	filesystem >= 2.1.9-18

%description	-n %devellibname
The %devellibname package contains libraries and header files for
developing applications that use %{name}.


%package	devel-doc
Summary:	Development documentation for %{name}
Group:		Development/C
BuildArch:	noarch
Requires:	%{name}-devel = %{version}

%description	devel-doc
This package contains API documentation for %{name}.


%prep
%setup -q


%build
%configure2_5x --disable-static --enable-examples-build
%make
pushd doc
make docs
popd


%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%doc AUTHORS COPYING README NEWS ChangeLog
%{_libdir}/libusb-%{api}.so.%{major}*

%files -n %devellibname
%{_libdir}/pkgconfig/libusb-%api.pc
%{_includedir}/libusb-%api
%{_libdir}/libusb-%api.so

%files devel-doc
%doc doc/html examples/*.c


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.14-2.mga3
+ Revision: 358307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 fwang <fwang> 1.0.14-1.mga3
+ Revision: 299979
- new version 1.0.14

* Sat Sep 22 2012 fwang <fwang> 1.0.13-2.mga3
+ Revision: 296607
- obsoletes old packages

* Fri Sep 21 2012 fwang <fwang> 1.0.13-1.mga3
+ Revision: 296460
- new version 1.0.13

  + sander85 <sander85>
    - Make doc package noarch

* Sun Jul 22 2012 cjw <cjw> 1.0.12-3.mga3
+ Revision: 273536
- revert some changes from previous release:
  o add libusb1-devel provides
  o documentation in libusbx-devel-doc
  o obsoletes on old -static-devel package

* Sun Jul 22 2012 cjw <cjw> 1.0.12-2.mga3
+ Revision: 273512
- drop doc package
- follow library policy
- backwards compatible devel provides, no new ones

  + sander85 <sander85>
    - Update URL
    - fix libusb-compat's name in description

* Sun Jul 22 2012 sander85 <sander85> 1.0.12-1.mga3
+ Revision: 273400
- imported package libusbx

